Bug 749100 - abrt-dump-oops contains non-translatable strings
Summary: abrt-dump-oops contains non-translatable strings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: abrt
Version: 6.3
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Denys Vlasenko
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On:
Blocks: ABRTF17
TreeView+ depends on / blocked
 
Reported: 2011-10-26 07:47 UTC by Jiri Moskovcak
Modified: 2015-02-01 22:55 UTC (History)
6 users (show)

Fixed In Version: abrt-2.0.8-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 07:03:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0841 normal SHIPPED_LIVE Low: abrt, libreport, btparser, and python-meh security and bug fix update 2012-06-19 19:29:03 UTC

Description Jiri Moskovcak 2011-10-26 07:47:46 UTC
Description of problem:
some string in abrt-dump-oops.c are not translatable

Version-Release number of selected component (if applicable):
abrt-2.0.4-13

How reproducible:
100%

Steps to Reproduce:
1. LANG=as_IN abrt-dump-oops --help
  
Actual results:
- the help text is in english

Expected results:
- localized help text in output

Additional info:
- this application is usually not run manually by users, so this will not hit many of them

Comment 2 Jiri Moskovcak 2011-10-26 14:06:05 UTC
- actually the strings are translatable, the initialization of i18n is missing:

<snip>

    /* I18n */
    setlocale(LC_ALL, "");
#if ENABLE_NLS
    bindtextdomain(PACKAGE, LOCALEDIR);
    textdomain(PACKAGE);
#endif

</snip>

Comment 3 RHEL Program Management 2011-10-30 05:48:28 UTC
Since RHEL 6.2 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Comment 6 Denys Vlasenko 2012-01-17 10:07:42 UTC
Fixed in git:

commit 4701534f896100e7cf937e9e10fd2a8543f77d3e
Author: Denys Vlasenko <dvlasenk@redhat.com>
Date:   Tue Jan 17 11:03:36 2012 +0100

    *: add i18n init. Closes rhbz#749100

    Affected tools:
    applet.c
    abrt-cli.c
    abrt-action-save-package-data.c
    abrt-dbus.c
    abrtd.c
    abrt-handle-event.c
    abrt-server.c
    abrt-action-analyze-backtrace.c
    abrt-action-analyze-c.c
    abrt-action-analyze-oops.c
    abrt-action-analyze-python.c
    abrt-action-generate-backtrace.c
    abrt-action-generate-core-backtrace.c
    abrt-action-trim-files.c
    abrt-dump-oops.c

Comment 10 errata-xmlrpc 2012-06-20 07:03:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0841.html


Note You need to log in before you can comment on or make changes to this bug.